xpdf (3.04+git20210103-3) unstable; urgency=medium

  * Fix automatic injection of hardening buildflags

 -- Florian Schlichting <fsfs@debian.org>  Thu, 04 Mar 2021 22:41:56 +0800

xpdf (3.04+git20210103-2) unstable; urgency=medium

  * Fix printing when no psLevel is defined in xpdfrc (closes: #983880)

 -- Florian Schlichting <fsfs@debian.org>  Thu, 04 Mar 2021 14:20:04 +0800

xpdf (3.04+git20210103-1) unstable; urgency=medium

  * Import new upstream version 3.04+git20210103
    + switch to xpopple as new upstream (closes: #977182)
    + fix obvious memory leaks (closes: #945188, #942086)
    + no longer crash on empty documents (closes: #968354)
    + properly ask for passwords (closes: #606885)
    + correctly recognize working and document obsolete config file commands
      (closes: #971805, #863382)
  * Drop patches, all applied in (or obsoleted by) xpopple upstream
  * Bump dh compat to level 13
  * Greatly simplify d/rules (but keep linking to libpaper)
  * Keep installing our xpdf wrapper script
  * Ensure wrapper script correctly handles all xpdf options
  * Add wrapper script options back to xpdf manpage
  * Drop obsolete language support files and infrastructure
  * Mention new upstream in relevant places, drop d/watch
  * Adopt xpdf (closes: #848631)
  * Ship TODO in docs
  * Add Rules-Requires-Root: no
  * Declare compliance with Debian Policy 4.5.1

 -- Florian Schlichting <fsfs@debian.org>  Thu, 28 Jan 2021 15:58:32 +0800

xpdf (3.04-14) unstable; urgency=medium

  * QA upload
  * Add patches from xpopple for compatibility with poppler 20.09.0 (closes: #955552)
  * Fix memory leaks, patch from Bernhard Übelacker (closes: #945188)
  * Fix tempfile warning, thanks Vincent Lefevre (closes: #961597)
  * Support more MIME types in xpdf.desktop (closes: #901541)
  * Fix typo in manpage (closes: #973573)

 -- Florian Schlichting <fsfs@debian.org>  Fri, 11 Dec 2020 00:43:16 +0800

xpdf (3.04-13exp3) experimental; urgency=medium

  * QA upload
  * Tighteen libpoppler-dev dependency to version 0.76, since the patch
    is not retro-compatible (Closes: #943523).

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 26 Oct 2019 12:31:54 +0200

xpdf (3.04-13exp2) experimental; urgency=medium

  [ Gianfranco Costamagna ]
  * debian/patches/poppler-0.76.patch:
    - updated for the new poppler version
  * QA upload.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 08 May 2019 19:01:04 +0200

xpdf (3.04-13exp1) experimental; urgency=medium

  * debian/patches/poppler-0.74.patch:
    - updated for the new poppler version
  [ Gianfranco Costamagna ]
  * QA upload.

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 21 Feb 2019 18:23:26 +0100

xpdf (3.04-13) unstable; urgency=medium

  * Upload to unstable, now poppler 0.71
    transition has started

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 08 Jan 2019 09:06:35 +0100

xpdf (3.04-12exp1) experimental; urgency=medium

  * QA upload.
  * Upload to experimental, with patch for new poppler 0.71

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 18 Dec 2018 09:54:25 +0100

xpdf (3.04-12) unstable; urgency=medium

  * QA upload
  * Adds a dependency to sensible-utils.

 -- GOTO Masanori <gotom@debian.org>  Mon, 17 Dec 2018 21:55:46 +0900

xpdf (3.04-11) unstable; urgency=medium

  * QA upload
  * Revert to 3.04-9 version because unstable has old
    poppler

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 06 Dec 2018 15:13:34 +0100

xpdf (3.04-10) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * QA upload
  * Bump std-version to 4.2.1, no changes required

  [ Iain Lane ]
  * debian/patches/poppler-0.71.patch: Update for poppler 0.71's latest lot of
    deprecations / removals.
  * debian/rules: deleteGooList(someList, someType) became
    deleteGooList<someType>, someList - add some sed hax to transform the
    former to the latter.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 05 Dec 2018 22:50:44 +0100

xpdf (3.04-9) unstable; urgency=medium

  * QA upload
  * Patch also for poppler-0.69 (Closes: #910869)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 22 Oct 2018 10:34:31 +0200

xpdf (3.04-8) unstable; urgency=medium

  * QA upload.
  * Adapt to new poppler-0.68 (Closes: #910869)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 25 Aug 2018 17:02:55 +0200

xpdf (3.04-7) unstable; urgency=medium

  * QA upload.

  * Move packaging to salsa.d.o
  * Fix build with poppler-0.62 (thanks Matthias Klose)

 -- Florian Schlichting <fsfs@debian.org>  Mon, 05 Mar 2018 22:50:23 +0100

xpdf (3.04-6) unstable; urgency=medium

  * QA upload.

  * Add fix-757053.patch to zoom with keypad +/- too (closes: #757053)
  * Add fix-868498.patch to add a search command usable through xpdf's remote
    feature (closes: #868498)
  * Initialize poppler GlobalParams with default paths (closes: #850163)
  * support all commandline arguments in wrapper (closes: #736444)
  * Add a few useful keybindings (closes: #783623, #389613, #358962)
  * Some formatting improvements in the manual by Bjarni Ingi Gislason
    (closes: 890842)
  * Hacks to compile with poppler 0.61 by Adrian Bunk (closes: #883523)
  * Declare compliance with Debian Policy 4.1.3

 -- Florian Schlichting <fsfs@debian.org>  Fri, 23 Feb 2018 12:42:58 +0100

xpdf (3.04-5) unstable; urgency=medium

  * QA upload.

  * Fix double utf8 encoded selections (closes: #737989)
  * Drop zxpdf wrapper script, obsolete since jessie (closes: #782440)
  * Update Homepage, Source and debian/watch to new URL (closes: #873954)
  * Comment out xpdfrc language support file options not currently supported
    (closes: #848671)
  * Bring back libpaper, as Letter just isn't for everyone
  * Improve error message when running xpdf on a directory (closes: #693569)
  * Remove duplicate manpage entry for enableFreeType (closes: #793213)
  * Add poppler-manpage.patch: annotate config file options not currently
    supported (closes: #873953)
  * Fix section name in xpdfrc.5
  * Fix a manpage-has-errors-from-man lintian warning
  * Fix a message typo in poppler-xpdfparams.patch
  * Use -noawait variant of poppler trigger
  * Use https form of the copyright-format URL
  * Drop Conflicts/Replaces no longer needed after Jessie (see #707818)
  * Declare compliance with Debian Policy 4.1.1

 -- Florian Schlichting <fsfs@debian.org>  Sat, 25 Nov 2017 01:15:13 +0100

xpdf (3.04-4) unstable; urgency=medium

  * QA upload.
  * Fix VCS fields, now in secure mode.

  [ Iain Lane ]
  * debian/xpdf.{svg,install}: Install a .svg icon created by Bryan Quigley,
    so that xpdf appears in AppStream. (LP: #1557675)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 05 Jan 2017 11:15:33 +0100

xpdf (3.04-3) unstable; urgency=medium

  * Set maintainer field Debian QA Group (see: #848631).
  * Support cross building (closes: #843267).
    - Thanks to Helmut Grohne.
  * Fix argument handling in the wrapper script (closes: #793552).
    - Thanks to Vincent Lefevre.

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 19 Dec 2016 02:48:12 +0000

xpdf (3.04-2) experimental; urgency=medium

  * Remove menu file.
  * Update standards version.
  * Fix desktop file exec line.
  * Restore key binding support (closes: #739271).
    - Thanks to Adam Sampson.
  * Restore support for initialZoom (closes: #737628).
    - Thanks to Vincent Lefevre.
  * Fix PSOutputDev argument order (closes: #617546).
    - Thanks to Simon Tatham.
  * Handle renaming of Japanese font files (closes: #796492).
    - Thanks to Hideki Yamane.
  * Sort object files during linking (closes: #819352).
  * Refactor XPDFParams to keep it better in sync with upstream's GlobalParams.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 31 Jul 2016 21:31:54 +0000

xpdf (3.04-1) unstable; urgency=medium

  * New upstream release.
  * Standards version 3.9.7.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 07 Feb 2016 17:37:07 +0000

xpdf (3.03-18) unstable; urgency=medium

  * Support poppler 0.38 (closes: #807087).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 03 Jan 2016 03:38:52 +0000

xpdf (3.03-17) unstable; urgency=medium

  * Upload to unstable.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 06 Apr 2014 03:10:29 +0000

xpdf (3.03-16+experimental2) experimental; urgency=medium

  * Build-depend poppler >= 0.24.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 26 Jan 2014 19:43:27 +0000

xpdf (3.03-16+experimental1) experimental; urgency=medium

  * Support poppler 0.24 (closes: #736443).

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 25 Jan 2014 20:13:19 +0000

xpdf (3.03-16) unstable; urgency=medium

  * Make selections visible in reverse mode (closes: #692931).

 -- Michael Gilbert <mgilbert@debian.org>  Thu, 23 Jan 2014 23:38:48 +0000

xpdf (3.03-15) experimental; urgency=low

  * Build-depend poppler >= 0.22.

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 20 Jan 2014 06:02:20 +0000

xpdf (3.03-14) experimental; urgency=low

  * Move Error.h into the build directory.

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 20 Jan 2014 05:32:40 +0000

xpdf (3.03-13) experimental; urgency=low

  * Don't require poppler >= 0.24.

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 20 Jan 2014 05:05:45 +0000

xpdf (3.03-12) experimental; urgency=low

  * Fix vcs-git url (closes: #728283).
  * Support poppler 0.20 (closes: #679896).
  * Support poppler 0.22 (closes: #719224).
  * Drop binutils-gold conflict (closes: #725514).
  * Separate xpdf-specific global parameters (closes: #658264, #727070).
    - Thanks to Dmitry Shachnev!

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 20 Jan 2014 02:54:13 +0000

xpdf (3.03-11) unstable; urgency=low

  * Bump standards to 3.9.4.
  * Fix printing issue (closes: #622877).
  * Add libxt-dev build dependency (closes: #707927).
  * Support linking with --as-needed (closes: #671765).
  * Switch to libmotif instead of lesstif (closes: #697098).
  * Replace and conflict with xpdf-reader (closes: #707818).

 -- Michael Gilbert <mgilbert@debian.org>  Fri, 31 May 2013 19:33:24 +0000

xpdf (3.03-10) unstable; urgency=low

  * Build-depend on libpoppler-private-dev (closes: #660992).
  * Update my email address.

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 11 Jun 2012 21:40:47 -0400

xpdf (3.03-9) unstable; urgency=low

  * Let poppler find and select non-embedded font file locations.  Thanks to
    Vincent Lefevre for finding a solution to this problem (closes: #641873).
  * Remove now ineffective font file configuration options from xpdfrc.
  * Revert UTF8 title conversion change (closes: #659272).
  * Revert lp as default print command.  Use lpr (the privious default) and
    recommend cups-bsd package (closes: #652606).
  * Fix segfault issue in additional zoom options patch and enable it again.
    Thanks to Jörg-Volker Peetz (closes: #654308).
  * Support title refresh when starting from a non-compressed file
    (lp: #932062).
  * Use "Xpdf" instead of "xpdf" in documentation on Xresources
    (closes: #631450).
  * Check exit codes of system calls (fix -Wunused-result compiler warnings).
  * Fix a pointer casting to a different size (fix -Wint-to-pointer-cast
    compiler warning).
  * Add -Wno-format-extra-args to build flags.
  * Bump standards to 3.9.3.

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Fri, 24 Feb 2012 17:33:29 -0500

xpdf (3.03-8) unstable; urgency=low

  * Fix uncompressed file handling (closes: #647223).
  * Build-conflict with binutils-gold (closes: #648556).
  * Bump to debhelper 9.
    - simplify hardening build flag logic in debian/rules (closes: #652689).
  * Convert UTF8 titles to ISO8859 when yudit is available (closes: #645903).

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Tue, 06 Dec 2011 15:11:46 -0500

xpdf (3.03-7) unstable; urgency=low

  * Fix build-hardening to include +pie,+bindnow.

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Sat, 29 Oct 2011 17:16:18 -0400

xpdf (3.03-6) unstable; urgency=low

  * Build with binutils-gold.
  * Fix hyphen in xpdfrc manpage.
  * Enable all build-hardening flags.
  * Fix some invalid type conversions.
  * Update copyright file to latest dep5 standard.
  * Fix temp file handling with exec (closes: #642203).

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Sat, 15 Oct 2011 01:01:54 -0400

xpdf (3.03-5) unstable; urgency=low

  * Use exec to launch xpdf.real (closes: #640177).
  * Use lp as default print command (closes: #614045).
  * Really fix xpdfrc config file location (closes: #641941).

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Sat, 17 Sep 2011 04:18:00 -0400

xpdf (3.03-4) unstable; urgency=low

  * Fix helvetica font entry in xpdfrc.
  * Remove t1lib options from xpdfrc.
  * Assign system xpdfrc file location in debian/rules (drop patch).
  * Replace newly deprecated commands in various language support files
    (closes: #640486,640162).

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Sat, 17 Sep 2011 00:35:39 -0400

xpdf (3.03-3) unstable; urgency=low

  * Use better quoting in the xpdf wrapper script.
  * Replace deprecated "displayFontT1" option in the default xpdfrc file with
    its new replacement: "fontFile" (closes: #640967, #640486).
  * Disable additional zoom features patch for now (closes: #427632):
    - if anyone wants this to be re-enabled, the patch needs to be corrected so
      that fullscreen continuous mode no longer crashes (see closed bug).
  * Fix skipping first file passed to "-m" argument (closes: #640897).
  * Add binutils-gold build conflict.

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Sun, 04 Sep 2011 14:50:57 -0400

xpdf (3.03-2) unstable; urgency=low

  * Remove old breaks/replaces.
  * Remove unsatisfiable versioned dependency on lesstif.

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Thu, 01 Sep 2011 23:33:38 -0400

xpdf (3.03-1) unstable; urgency=low

  * New upstream release:
    - Refresh patches.
    - Drop 12-fix-typo-in-help.patch, fix-437725.patch, fix-479467.patch, and
      fix-577031.patch (now applied upstream).
  * Add various patches for poppler's alternative api:
    - use-poppler-fix-findtext.patch, use-poppler-fix-textoutputdev.patch,
      use-poppler-openfile.patch, and use-poppler-fix-findfontfile.patch.
  * Remove libxt linker flag.
  * Use -fpermissive build flag.
  * Really pass all arguments when using -m.
  * Fix broken -z argument (closes: #636390).

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Wed, 03 Aug 2011 23:58:42 -0400

xpdf (3.02-21) unstable; urgency=low

  * Pass real file name when not compressed (closes: #636432).
  * Handle backslashes in filenames with -m option (closes: #636403).
  * Document quirks of -m (closes: #636449).
  * Pass all arguments in -m option.

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Wed, 03 Aug 2011 22:55:26 -0400

xpdf (3.02-20) unstable; urgency=low

  * Simplify wrapper logic.
  * Set up tempfile trap before extracting compressed pdf files
    (closes: #635850).
  * Fix titling on compressed files (closes: #635881).
  * Use newlines to separate file names "-m" option handling (closes: #635852).

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Sun, 31 Jul 2011 03:22:48 -0400

xpdf (3.02-19) unstable; urgency=high

  * Fix insecure tempfile usage (closes: #635849).

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Fri, 29 Jul 2011 14:02:05 -0400

xpdf (3.02-18) unstable; urgency=low

  * Fix spelling error in control file (closes: #631407).
  * Pass "-upw" with its second argument in xpdf wrapper (closes: #632826).
  * Quote arguments to commands (closes: #633069).
  * Handle file names with single quotes (closes: #631250).
  * Handle no file name correctly again.
  * Fix title command handling (closes: #611522).

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Thu, 28 Jul 2011 00:11:15 -0400

xpdf (3.02-17) unstable; urgency=medium

  * add missing poppler dependency bump.

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Sat, 09 Jul 2011 14:43:54 -0400

xpdf (3.02-16) unstable; urgency=medium

  * support poppler 0.16 (closes: #627667):
    - rename parseargs.c to parseargs.cc (handles poppler's goo/gtypes.h
      being a c++ header now).
    - apply patch for another PSOutputDev api change.

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Sat, 09 Jul 2011 14:18:07 -0400

xpdf (3.02-15) unstable; urgency=low

  * manpage updates:
    - document new xpdf usage (including new -m option).
    - remove references to zxpdf.
    - drop corrections to manpages for no-longer built binaries.
    - merge all manpage fixes into one patch.
  * launch xpdf from zxpdf deprecation script.
  * support unsuffixed pdf files (closes: #631109).
  * fix another filename whitespace issue (closes: #611522).
  * clean up debian/rules.
  * lengthen the package's long description.

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Tue, 21 Jun 2011 20:01:49 -0400

xpdf (3.02-14) unstable; urgency=low

  * Only use temp files when viewing compressed files (closes: #621774).
  * "-m" option no longer needs to be last.
  * Fix filenames with spaces issue in new xpdf wrapper script.
  * Fix trap signal names.
  * Use poppler's naming for mouse button 1 binding (closes: #627426).
  * Fix continuous mode crashiness (closes: #521381).
  * Bump standards version to 3.9.2.

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Sat, 18 Jun 2011 16:51:09 -0400

xpdf (3.02-13) unstable; urgency=low

  * Introduce "-m" command-line option: easily open multiple files in xpdf.
  * Process postinst on "upgrade" command as well (closes: #610441).
  * Set DM-Upload-Allowed.
  * Drop lenny->squeeze transitional packages.
  * Provide zxpdf functionality automatically via new xpdf wrapper.
  * Rewrite zxpdf to address input sanitization issues (closes: #607650,
    #611522).
  * Don't populate CPPFLAGS twice.
  * Include explicit links to lesstif2 and x11 libraries (closes: #615802,
    #600434).

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Fri, 04 Mar 2011 18:03:04 -0500

xpdf (3.02-12) unstable; urgency=high

  * zxpdf: don't erase original pdf file during clean up (closes: #598945).

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Sun, 19 Dec 2010 18:42:47 -0500

xpdf (3.02-11) unstable; urgency=medium

  * Apply arrow key bindings only in the fullscreen context
    (closes: #595547, #595075).
  * Also remove xpdf-reader dangling symlink (closes: #595076).
  * Fix Vcs-Git field.

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Sun, 05 Sep 2010 17:57:28 -0400

xpdf (3.02-10) unstable; urgency=low

  [Michael Gilbert]
  * Make language file installation slightly more robust/automated.
  * Bind arrow keys to next/prev page actions by default (closes: #200610).
  * Use Breaks instead of Conflicts.
  * No need to break or conflict xpdf-common since replaces is enough to
    enable successful upgrades from lenny.
  * Remove dangling symlink leftover by lenny xpdf package (closes: #589650).
  * Bump standards version to 3.9.1 (no changes required).
  * Recommend gsfonts-x11 package.
  * Remove refrences to poppler-utils files in xpdfrc and clean it up a bit.
  * Drop unneeded 'Provides'.
  * Drop conflicts/breaks with packages that no longer exist in lenny.
  * Version all 'Breaks'.
  * Include references to origin of all poppler patches in headers.
  * Include comment on debian-specific changes in use-system-xpdfrc.patch.
  * Correct zxpdf symlink (closes: #593565).

  [Osamu Aoki]
  * Remove xpdf-common and clean up dependencies (closes: #589425).
  * zxpdf: remove temp file on exit (closes: #280460).
  * zxpdf: search compressed file names (closes: #501661).
  * Fix typo in "xpdf --help" output.
  * Explain zoom (+-) only after "0" (closes: #426502).
  * Restore xpdf.desktop file (closes: #589542).
  * Drop update-xpdfrc: no longer needed due to poppler transition
    (closes: #437529).

  [Rogério Brito]
  * Update debian/copyright to reflect change of maintainership.

 -- Osamu Aoki <osamu@debian.org>  Wed, 21 Jul 2010 23:16:50 +0900

xpdf (3.02-9) unstable; urgency=low

  * Reactivate zoomFitHeight properly by merging it into fix-580495.patch.
  * Set VCS-* and Uploaders fields.

 -- Osamu Aoki <osamu@debian.org>  Sat, 17 Jul 2010 16:00:23 +0900

xpdf (3.02-8) unstable; urgency=low

  [Michael Gilbert]
  * Bump standards version to 3.9.0 (no changes required).
  * Clean up formatting of debian/control.
  * xpdf.postrm: remove languages from /etc/xpdf.

  [Rogério Brito]
  * Don't specify icon extension name in xpdf.desktop (closes: #551544).
  * zxpdf: support file extensions with any capitalization of 'pdf'.
  * zxpdf: add support for xz compression.
  * Make transitional packages architecture independent.
  * Add patch to make zoom levels more flexible (closes: #580495).

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Wed, 14 Jul 2010 20:46:02 -0400

xpdf (3.02-7) unstable; urgency=low

  * Fix xpdf package long description.
  * Bump compat version to 7.
  * Drop legacy support for xpdf 2.0.
  * Add in LDFLAGS to xpdf compilation.

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Mon, 21 Jun 2010 00:43:13 -0400

xpdf (3.02-6) unstable; urgency=low

  [Michael Gilbert]
  * Remove outdated README.Debian (information is no longer relevant).
  * Trigger an xpdfrc refresh when poppler-data is installed/uninstalled
    - This makes it possible to provide poppler-data cmaps while avoiding
      poppler-data as a dependency (a 12 MiB package).
  * Fix the warning message printed to /etc/xpdf/includes.

  [Rogério Brito]
  * Add "-mattecolor" to help output (closes: 458468).

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Mon, 14 Jun 2010 23:07:31 -0400

xpdf (3.02-5) unstable; urgency=low

  * Use poppler-data to provide support for additional languages
    (closes: #461411, #548182, #548183, #548184, #548185, #577917).
    - Eliminates the need for the xpdf-* language packages.
    - Thanks to Hideki Yamane!
  * Reestablish /etc/xpdf/xpdfrc as the resource file (this was inadvertantly
    dropped in the conversion to poppler since we are no longer using configure,
    but is now fixed).

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Mon, 14 Jun 2010 18:29:34 -0400

xpdf (3.02-4) experimental; urgency=low

  * Version the dependency on libpoppler-dev.

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Fri, 04 Jun 2010 00:32:40 -0400

xpdf (3.02-3) experimental; urgency=low

  * Use system poppler library (closes: #351279).
    - Thanks to Martin Pitt for the initial work on xpdf-poppler and to
      Gentoo for maintaining that in their archive for the past couple years.
    - Drop xpdf-utils package; no reason to duplicate poppler-utils anymore
      (closes: #576683).
    - Eliminate xpdf-reader and xpdf-common (no reason to separate these from
      xpdf anymore).
    - Drop the following patches (this code is no longer built here; it is
      provided by poppler):
      - fix-444648.patch
      - fix-462544.patch
      - fix-CVE-2007-3387_CVE-2007-5049.dpatch
      - fix-CVE-2007-5393_2007-5392_2007-4352.dpatch
      - fix-CVE-2009-0146,0147,0165,0166,0799,0800,1179-1183.dpatch
      - fix-CVE-2009-3603+CVE-2009-1188.patch
      - fix-CVE-2009-3604.patch
      - fix-CVE-2009-3606.patch
      - fix-CVE-2009-3608.patch
      - fix-CVE-2009-3609.patch
  * Add some patch descriptions.
  * Remove last remnants of dpatch (the package now uses quilt).
  * Fix a quirky floating point comparison that was leading to problems on
    i386 with gcc 4.4 (closes: #577031, #577086).
  * Revert zoomFitHeight patch since it breaks zoomFitPage and zoomFitWidth
    (closes: #576543, 578892).

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Wed, 26 May 2010 22:34:38 -0400

xpdf (3.02-2) unstable; urgency=high

  [Michael Gilbert]
  * Fix multiple security issues (closes: #551287, #575779).
    - CVE-2009-1188: Integer overflow in the JBIG2 decoding feature in the
      SplashBitmap::SplashBitmap function in SplashBitmap.cc.
    - CVE-2009-3603: Additional integer overflows in the
      SplashBitmap::SplashBitmap function.
    - CVE-2009-3604: Null pointer dereference in the Splash::drawImage
      function in Splash.cc.
    - CVE-2009-3606: Integer overflow in the PSOutputDev::doImageL1Sep
      function in PSOutputDev.cc.
    - CVE-2009-3608: Integer overflow in the ObjectStream::ObjectStream
      function in XRef.cc.
    - CVE-2009-3609: Integer overflow in the ImageStream::ImageStream
      function in Stream.cc.
  * Bump standards version to 3.8.4 (no changes required).
  * Use ${misc:Depends}.
  * Adopt the package (closes: #535261, #527840).

  [Rogério Brito]
  * debian/copyright:
    + include versioned link to the GPL.
  * debian/*
    + convert to source format "3.0 (quilt)".
  * debian/{control,compat}:
    + bump compat to 5.
  * debian/control:
    + remove dpatch build-dep and calls in debian/rules.
    + include Homepage field.
    + build-depend on unversioned automake.
    + build-depend on versioned lesstif.
    + wrap build-depends line to keep sanity.
    + change build-dependency on x-dev to x11proto-core-dev. (Closes: #515495).
    + remove debian revision from versioned build-deps.
    + update standards-version to 3.8.3, with no extra changes required.
  * debian/rules:
    + remove commented lines.
    + fix the includes for lesstif. (See below).
    + remove deprecated dh_desktop helper.
    + don't ignore errors when calling "make -i distclean".
    + separate configuration from package compilation to keep things tidy.
    + don't remove recursively things that are only files.
  * debian/patches:
    + rename 00list to series.
    + disable patches 40 and 41, lesstif is fixed. (Closes: #458763, #528807).
    + refresh enabled patches to avoid potential problems with buildds.
    + escape minus signs from manpages.
    + fix path to configuration files. Tks Andrew Price. (Closes: #424747).
    + flexibilize the print dialog. Tks Dmitry Oboukhov. (Closes: #408502).
    + implement "Fit to Height". Tks Josh Triplett. (Closes: #424178).
  * debian/xpdf-common.postint:
    + don't use command with path in maintainer script.
  * debian/watch:
    + create watch file.
  * debian/xpdf.desktop:
    + remove obsolete indication of encoding.
    + remove custom category "PDFViewer".
  * debian/xpdf-reader.menu:
    + update obsolete section Apps -> Applications.
  * debian/xpdf-reader.dirs:
    + remove empty dir usr/lib/menu. Tks Nelson Oliveira. (Closes: #495150).
  * avoid conflict with poppler-utils. Tks Luca Capello. (Closes: #558020).

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Fri, 02 Apr 2010 17:40:49 -0400

xpdf (3.02-1.4+lenny1) stable-security; urgency=high

  * Non-maintainer upload.
  * This update fixes various security issues (Closes: #524809):
    - CVE-2009-0146: Multiple buffer overflows in the JBIG2 decoder in Xpdf
      3.02pl2 and earlier, CUPS 1.3.9 and earlier, and other products allow
      remote attackers to cause a denial of service (crash) via a crafted PDF
      file, related to (1) JBIG2SymbolDict::setBitmap and (2)
      JBIG2Stream::readSymbolDictSeg.
    - CVE-2009-0147: Multiple integer overflows in the JBIG2 decoder in Xpdf
      3.02pl2 and earlier, CUPS 1.3.9 and earlier, and other products allow
      remote attackers to cause a denial of service (crash) via a crafted PDF
      file, related to (1) JBIG2Stream::readSymbolDictSeg, (2)
      JBIG2Stream::readSymbolDictSeg, and (3) JBIG2Stream::readGenericBitmap.
    - CVE-2009-0165: Integer overflow in the JBIG2 decoder in Xpdf 3.02pl2 and
      earlier, as used in Poppler and other products, when running on Mac OS X,
      has unspecified impact, related to "g*allocn."
    - CVE-2009-0166: The JBIG2 decoder in Xpdf 3.02pl2 and earlier, CUPS 1.3.9
      and earlier, and other products allows remote attackers to cause a denial
      of service (crash) via a crafted PDF file that triggers a free of
      uninitialized memory.
    - CVE-2009-0799: The JBIG2 decoder in Xpdf 3.02pl2 and earlier, CUPS 1.3.9
      and earlier, Poppler before 0.10.6, and other products allows remote
      attackers to cause a denial of service (crash) via a crafted PDF file
      that triggers an out-of-bounds read.
    - CVE-2009-0800: Multiple "input validation flaws" in the JBIG2 decoder in
      Xpdf 3.02pl2 and earlier, CUPS 1.3.9 and earlier, Poppler before 0.10.6,
      and other products allow remote attackers to execute arbitrary code via
      a crafted PDF file.
    - CVE-2009-1179: Integer overflow in the JBIG2 decoder in Xpdf 3.02pl2 and
      earlier, CUPS 1.3.9 and earlier, Poppler before 0.10.6, and other products
      allows remote attackers to execute arbitrary code via a crafted PDF file.
    - CVE-2009-1180: The JBIG2 decoder in Xpdf 3.02pl2 and earlier, CUPS 1.3.9
      and earlier, Poppler before 0.10.6, and other products allows remote
      attackers to execute arbitrary code via a crafted PDF file that triggers
      a free of invalid data.
    - CVE-2009-1181: The JBIG2 decoder in Xpdf 3.02pl2 and earlier, CUPS 1.3.9
      and earlier, Poppler before 0.10.6, and other products allows remote
      attackers to cause a denial of service (crash) via a crafted PDF file that
      triggers a NULL pointer dereference.
    - CVE-2009-1182: Multiple buffer overflows in the JBIG2 MMR decoder in Xpdf
      3.02pl2 and earlier, CUPS 1.3.9 and earlier, Poppler before 0.10.6, and
      other products allow remote attackers to execute arbitrary code via a
      crafted PDF file.
    - CVE-2009-1183: The JBIG2 MMR decoder in Xpdf 3.02pl2 and earlier, CUPS
      1.3.9 and earlier, Poppler before 0.10.6, and other products allows remote
      attackers to cause a denial of service (infinite loop and hang) via a
      crafted PDF file.

 -- Giuseppe Iuculano <giuseppe@iuculano.it>  Sat, 02 May 2009 10:05:02 +0200

xpdf (3.02-1.4) unstable; urgency=low

  * Non-maintainer upload.
  * apply patch from Jiri Palecek
    against a segfault in image handling (Closes: 462544)
  * apply patch from Arno Renevier against a segfault when pressing Ctrl-W
    in full-screen mode (Closes: 437725)
  * apply patch from Stefan Beyer against a segfault when pressing 'g'
    in full-screen mode (Closes: 479467)
  * fix ps encoding error on 64-bit architectures (Closes: 444648, 482029)

 -- Bernhard R. Link <brlink@debian.org>  Sun, 07 Sep 2008 14:56:17 +0200

xpdf (3.02-1.3) unstable; urgency=high

  * Non-maintainer upload by testing security team.
  * Included fix-CVE-2007-5393_2007-5392_2007-4352.dpatch to address the
    following security issues (Closes: #450629)
    - CVE-2007-5393 buffer overflow in the CCITTFaxStream::lookChar leading
      to arbitrary code execution via a crafted pdf file.
    - CVE-2007-5392 integer overflow in the DCTStream::reset resulting in a
      heap based buffer overflow allows code execution.
    - CVE-2007-4352 array index error in DCTStream::readProgressiveDataUnit
      leads to memory corruption and possibly arbitrary code execution.

 -- Nico Golde <nion@debian.org>  Fri, 09 Nov 2007 09:22:19 +0100

xpdf (3.02-1.2) unstable; urgency=high

  * Non-maintainer upload by testing security team.
  * Removed post-3.5.7-kdegraphics-CVE-2007-3387.diff.dpatch and
    created fix-CVE-2007-3387_CVE-2007-5049.dpatch to have a fix
    for CVE-2007-3387 and a buffer overflow in GetNextLine()
    (CVE-2007-5049) since they are related (Closes: #443906).

 -- Nico Golde <nion@debian.org>  Thu, 27 Sep 2007 12:05:46 +0200

xpdf (3.02-1.1) unstable; urgency=high

  * Non-maintainer upload with permission of the maintainer
  * Fix integer overflow in the StreamPredictor::StreamPredictor
    function by adding post-3.5.7-kdegraphics-CVE-2007-3387.diff.dpatch
    (Closes: #435462) Fixes: CVE-2007-3387

 -- Steffen Joeris <white@debian.org>  Tue, 07 Aug 2007 14:00:34 +1000

xpdf (3.02-1) unstable; urgency=low

  * New upstream release (closes: #413611)
    * Adds PDF 1.6 and 1.7 support (closes: #320509, #329372)
    * Fixes segfault on Postscript conversion (in xpdf or pdftops)
      with libc6 2.5-1, though probably also fixed in libc6 already
      (closes: #419618)
    * Improved rendering of some PDFs (closes: #409759, #242294, #280767)
    * Improved full screen handling (obseletes patches incorporated
      in 3.01-9; 31_fullscreen.dpatch, 32_vscroll.dpatch)
    * Adds new options to the xpdfrc(5) (closes: #384024)
    * Fixed handling of some broken PDFs (closes: #330711)
    * On-the-fly switch to full screen is possible (closes: #281479)
    * Adds configurable keybindings

  * Patched Latin2 unicode map to include IJ sequences; thanks to
    Petr Peringer for the patch (closes: #402757)
  * Fix reference to /etc/xpdf/xpdf-* -> /etc/xpdf/xpdfrc-* in
    update-xpdfrc(8) (closes: #402852)
  * Added -title support to zxpdf (closes: #338096)
  * Updated debian/copyright (closes: #407888)
  * Modified xpdfrc(5) to note that options are case sensitive (closes:
    #417979)
  * Fix package relationships so that package is bin-NMU safe

 -- Hamish Moffatt <hamish@debian.org>  Wed, 25 Apr 2007 02:42:16 +1000

xpdf (3.01-9) unstable; urgency=low

  * Incorporate patches from Eugeniy Meshcheryakov and Junichi Uekawa to
    fix fullscreen mode when using a NETWM-compliant window manager
    (closes: #247602, #362496, #367845, #168970, #192397, #165047)
    (31_fullscreen.dpatch, 32_vscroll.dpatch)
  * Nasty, nasty patch to workaround FTBFS due to incompatility
    between latest g++-4.1 and lesstif - bug#377230 (40_lesstif_copy.dpatch,
    41_lesstif_cpp.dpatch)
  * Upgrade to standards-revision 3.7.2
  * Made xpdf-common recommend gsfonts-x11 (closes: #329804)

 -- Hamish Moffatt <hamish@debian.org>  Sat, 15 Jul 2006 16:01:16 +1000

xpdf (3.01-8) unstable; urgency=low

  * Add patch 05_freetype-2.2.dpatch: make splash/SplashFTFont.cc
    compatible with FreeType 2.2 (ie don't use FreeType internals
    directly any more). Fixes unreported FTBFS.
  * Enable additional compile-time options: --enable-opi,
    --enable-multithreaded, --enable-wordlist

 -- Hamish Moffatt <hamish@debian.org>  Sat, 27 May 2006 00:58:12 +1000

xpdf (3.01-7) unstable; urgency=high

  * SECURITY UPDATE: incorporated upstream patch revision 3.01pl2
    (obseletes several patches collected from Red Hat, Ubuntu etc).
  * References: CAN-2005-3191/3192/3193/3624/3625/2626/2627/3628,
    CAN-2006-0301 (all included, some improved by this patch)

 -- Hamish Moffatt <hamish@debian.org>  Thu, 16 Feb 2006 00:22:13 +1100

xpdf (3.01-6) unstable; urgency=high

  * SECURITY UPDATE: fixed buffer overflow in splash image handling
    (Splash/splash.cc) using patch supplied by Red Hat:
    https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=179046
    (closes: #350785, #350783)
  * References: CVE-2006-0301
  * My first upload from the side of the road on borrowed wifi
    in a foreign country...

 -- Hamish Moffatt <hamish@debian.org>  Wed,  1 Feb 2006 22:42:42 +1300

xpdf (3.01-5) unstable; urgency=low

  * Changed build-dep on libpaperg-dev to libpaper-dev (closes: #346397)
  * Made xpdf-utils conflicts/replaces/provides poppler-utils

 -- Hamish Moffatt <hamish@debian.org>  Sun,  8 Jan 2006 13:25:57 +1100

xpdf (3.01-4) unstable; urgency=high

  * SECURITY UPDATE: added additional precautionary checks
    supplied by Martin Pitt, Chris Evans and Ludwid Nussel
  * Changed build-dep on xlibs-dev to individual lib*-dev packages

 -- Hamish Moffatt <hamish@debian.org>  Fri,  6 Jan 2006 18:55:24 +1100

xpdf (3.01-3) unstable; urgency=high

  * SECURITY UPDATE: fix several potential buffer overflows:
    DCTStream Baseline Heap Overflow, DCTStream Progressive Heap Overflow,
    StreamPredictor Heap Overflow, JPX Stream Reader Heap Overflow
    (closes: #322462) (21_security.dpatch)
  * References: CAN-2005-3193, CAN-2005-3191

 -- Hamish Moffatt <hamish@debian.org>  Tue,  6 Dec 2005 23:05:10 +0000

xpdf (3.01-2) unstable; urgency=low

  * Incorporate upstream patch to fix resize issues with some
    window managers (20_resize.dpatch)
    (closes: #325112, #326888, #327572, #329112, #324172)
  * Fix incorrect escape sequences in xpdf.1 (closes: #320631)
    Thanks to Erik Schanze for the patch. (01_manpage.dpatch)

 -- Hamish Moffatt <hamish@debian.org>  Mon, 10 Oct 2005 23:34:46 +1000

xpdf (3.01-1) unstable; urgency=low

  * New upstream release (closes: #323715)
    * Added initial transparency support (closes: #181958, #284504, #243533)
    * Improved performance of pattern handling (closes: #220628)
    * Rasterizer optimisations (closes: #229714, #283549)
    * Handle negative font sizes (closes: #267790, #269495)
    * Fixed bugs in the Type 1C font parser
      (closes: #280291, #308547, #316895, #322906, #317708)
      and TrueType (closes: #270086)
    * Fix borders with some files (closes: #284307)
    * Fixed copy/paste losing text (closes: #310042)
    * Window is sized to fit the document page (closes: #249039, #254843)
    * Background window is now gray to show page size (closes: #295696)
    * Directories are not scanned until open dialog used (closes: #298742)
    * Fixed other crashes (closes: #251057, #264298, #303710),
      PostScript output bugs (closes: #295685)

  * Added build-conflicts with libstroke0-dev, as it supplies
    autoconf macros that conflict with xpdf's own
  * Added category and generic name entries to the Desktop file
    (closes: #302546); thanks to Alejandro Exojo for the patch
  * Register for MIME type application/x-pdf in addition to
    application/pdf (closes: #319057)
  * Updated to standards-revision 3.6.2

 -- Hamish Moffatt <hamish@debian.org>  Fri, 19 Aug 2005 22:48:35 +1000

xpdf (3.00-15) unstable; urgency=low

  * SECURITY UPDATE: fix potiential DoS attack through hand-crafted
    PDFs with corrupt loca tables (closes: #322462)
  * References: CAN-2005-2097

 -- Hamish Moffatt <hamish@debian.org>  Wed, 17 Aug 2005 07:55:17 +1000

xpdf (3.00-14) unstable; urgency=low

  * Use dpatch for patch management; added build-dep on dpatch
  * Fix FTBFS with gcc-4.0 (closes: #316836);
    thanks to Daniel Schepler for the patch
  * xpdf-utils now suggests: pdftk (closes: #306624)
  * Fix page parameter handling in zxpdf (closes: #315458)

 -- Hamish Moffatt <hamish@debian.org>  Sun, 17 Jul 2005 01:07:20 +1000

xpdf (3.00-13) unstable; urgency=low

  * SECURITY UPDATE: fix buffer overflow for PDF documents with an /Encrypt
    /Length value > 16 (xpdf/XRef.cc) (upstream xpdf-3.00pl3.patch)
  * References: CAN-2005-0064 (in addition to previous changes)

  * Added desktop entry to xpdf-reader (adapted from Ubuntu with thanks)
    (closes: #280812)
  * Updated build-dependency on debhelper to 4.2.21 to get dh_desktop

  * Fixed FTBFS on amd64 with gcc-4.0 resulting from cast from void*
    to int in xpdf/XPDFViewer.cc (closes: #288727)
    Thanks to Andreas Jochens for the patch.

  * Added note to header of source files modified to remove PDF
    permission checking as requested by upstream in bug#298584

 -- Hamish Moffatt <hamish@debian.org>  Tue, 22 Mar 2005 23:33:52 +1100

xpdf (3.00-12) unstable; urgency=high

  * SECURITY UPDATE: Fixed buffer overflow that could overwrite the stack
    and hence cause the execution of arbitrary code as reported by
    iDEFENSE (xpdf/Decrypt.cc)
  * References: CAN-2005-0064

 -- Hamish Moffatt <hamish@debian.org>  Wed, 19 Jan 2005 23:48:56 +1100

xpdf (3.00-11) unstable; urgency=high

  * SECURITY UPDATE: fix potential buffer overflow
    Applied patch to colour map handling in xpdf/Gfx.cc (closes: #286742)
  * References: CAN-2004-1125

 -- Hamish Moffatt <hamish@debian.org>  Thu, 23 Dec 2004 08:16:24 +1100

xpdf (3.00-10) unstable; urgency=high

  * SECURITY UPDATE: fix potential buffer overflow
  * goo/gmem.[ch]: change declarations of gmalloc and grealloc to use size_t
    instead of int; int truncated sizes to 32 bits, which made xpdf still
    vulnerable to integer (and eventually buffer) overflow attacks on 64 bit
    platforms like amd64.
  * Thanks to Marcus Meissner <meissner@suse.de> for providing the patch
    and Martin Pitt <mpitt@debian.org> for providing the changes for
    Debian in the form of 3.00-9ubuntu2
  * References:
    CAN-2004-0889 (incomplete fix in version 3.00-9)

  * Incorporated patch from Arnaud Giersch to fix crashes with
    certain PDFs (closes: #278693, #279292)

 -- Hamish Moffatt <hamish@debian.org>  Mon,  8 Nov 2004 00:23:22 +1100

xpdf (3.00-9) unstable; urgency=high

  * Applied patch to fix vulnerability CAN-2004:0889: integer overflow
    issues that could allow denial of service or possibly arbitrary
    code execution

 -- Hamish Moffatt <hamish@debian.org>  Thu, 21 Oct 2004 23:49:32 +1000

xpdf (3.00-8) unstable; urgency=low

  * Final cleanup for sarge.
  * Fixed handling of some PDFs causing crashes (Closes: #254864)
    Modified splash/SplashFTFont.cc to prevent crash caused by calling
    FreeType's FT_Decompose_Outline with a non-outline object
  * Cleaned up dependency on libt1-5 to prevent duplicate depends
  * Moved pixmaps to /usr/share/pixmaps
  * Cleaned up lintian warnings

 -- Hamish Moffatt <hamish@debian.org>  Wed, 18 Aug 2004 23:32:07 +1000

xpdf (3.00-7) unstable; urgency=low

  * Changed wrapper script to use /bin/bash explicitly
    (closes: #245943, #248090)
  * Add /usr/share/bug/xpdf/control so that bugs submitted to 'xpdf'
    go to 'xpdf-reader' instead
  * Update supplied configuration file for new configuration options
    (closes: #246351)
  * Added menu icon (closes: #244504)

 -- Hamish Moffatt <hamish@debian.org>  Sun,  9 May 2004 23:24:30 +1000

xpdf (3.00-6) unstable; urgency=low

  * Add dependency on libt1-5 >= 5.0.2 to fix several Xpdf crashes
    (closes: #238946, #243847, #243879)
  * Fixed wrapper script so that X resources are still located
    correctly (closes: #242513)

 -- Hamish Moffatt <hamish@debian.org>  Sun, 25 Apr 2004 21:48:25 +1000

xpdf (3.00-5) unstable; urgency=low

  * Fix crash when clicking bookmarks in some PDFs (closes: #236007)
  * Not uploaded

 -- Hamish Moffatt <hamish@debian.org>  Tue, 30 Mar 2004 23:31:16 +1000

xpdf (3.00-4) unstable; urgency=low

  * Build with new libt1 rather than old t1lib (closes: #234273)
  * Fixed repeated text in pdfimages(1) (closes: #202139)
  * Fix crash on some PDFs due to empty paths (closes: #231709, #240187)
    (thanks to Guillaume Morin for the patch)
  * Applied upstream patch to add TrueType font collection (TTC) support
    (closes: #232340)

 -- Hamish Moffatt <hamish@debian.org>  Tue, 30 Mar 2004 22:30:35 +1000

xpdf (3.00-3) unstable; urgency=low

  * Add upstream patch to fix handling of 16-bit TrueType fonts
  * Added note to /etc/xpdf/xpdfrc file warning that user configuration
    files (~/.xpdfrc) override the system-wide file, rather than supplement
    it (closes: #230853)
  * Updated /etc/xpdf/xpdfrc to remove obselete X font mappings
    (no longer supported)
  * Updated /usr/share/doc/xpdf-common/examples/sample-xpdfrc for 3.00
    (closes: #229874) by supplying the debian package version instead
    of upstream's

 -- Hamish Moffatt <hamish@debian.org>  Tue, 10 Feb 2004 23:00:02 +1100

xpdf (3.00-2) unstable; urgency=low

  * Added build-dep for pkg-config

 -- Hamish Moffatt <hamish@debian.org>  Wed, 28 Jan 2004 00:38:31 +1100

xpdf (3.00-1) unstable; urgency=low

  * New upstream release
    * Enter now works in Find dialog to start searching (closes: #167975)
    * Find dialog text input grows when window is resized (closes: #205208)
    * Fixed crashes with some PDFs (closes: #223989, #224943, #225289, #229264)
    * Fixed inverted horizontal mouse wheel behaviour (closes: #224849)
    * Fixed slow rendering of some documents (closes: #222254)
  * Corrected location of upstream sources in copyright file
    (closes: #229670)
  * Fixed location of configuration file in manual pages
    (/etc/xpdfrc -> /etc/xpdf/xpdfrc)

 -- Hamish Moffatt <hamish@debian.org>  Mon, 26 Jan 2004 14:39:30 +1100

xpdf (2.03-2) unstable; urgency=low

  * Applied upstream patch to fix reading of JBIG encoded files (closes:
    #220450)
  * Wrapper script will now use exec when calling xpdf.bin
    (closes: #219736) and zxpdf will do the same when calling xpdf

 -- Hamish Moffatt <hamish@debian.org>  Fri, 14 Nov 2003 09:08:11 +1100

xpdf (2.03-1) unstable; urgency=low

  * New upstream release
    * Fixes crashes with some documents (closes: #215867, #212990)
    * Supports PDF outline (bookmarks) (closes: #166926)
    * Supports clipping to text which makes some more PDF files
      display correctly (closes: #184070)
    * Fix PDF BitsPerComponent handling (closes: #185950)
    * Handle PDFs with broken Unicode cmap table (closes: #188532)
    * Handle PDFs with broken DCT streams (closes: #193718)
    * Improved text extraction with right-to-left scripts (closes: #176745)
    * If the print command is changed in the print dialog, it won't
      be reset if another file is opened (closes: #200466)

  * Updated Greek and Cyrillic language support to 2003-jun-28 versions
  * Provided manual page for xpdf.bin (symlink to xpdf(1)) (closes: #211887)
  * update-xpdfrc will now ignore backup (*~) and RCS files (closes: #194124)

 -- Hamish Moffatt <hamish@debian.org>  Wed, 22 Oct 2003 22:43:47 +1000

xpdf (2.02pl1-1) unstable; urgency=high

  * Upstream patch release to fix security hole in URL handling
    (closes: #198032)

 -- Hamish Moffatt <hamish@debian.org>  Thu, 19 Jun 2003 23:06:21 +1000

xpdf (2.02-2) unstable; urgency=low

  * Modified xpdf(1) to include information about zxpdf
    (closes: #175535)
  * Modified zxpdf to work with no command line parameters
  * Modified zxpdf to recognise .PDF (upper case) file extension

 -- Hamish Moffatt <hamish@debian.org>  Wed, 23 Apr 2003 00:27:50 +1000

xpdf (2.02-1) unstable; urgency=low

  * New upstream release
  * Incorporated new Arabic language package 2003-feb-16
  * Updated Hebrew language support to 2003-feb-16
  * Upstream: fixed display problems in some PDFs (closes: #181076,
    #144047, #167827, #176856, #180829)
  * Upstream: fixed crash on find-next before find (closes: #172973)
  * Upstream: fixed color handling in buttons (closes: #171398)
  * Upstream: fixed crash if Ctrl-W pressed while file open (closes: #177698)

 -- Hamish Moffatt <hamish@debian.org>  Sun, 30 Mar 2003 14:06:43 +1000

xpdf (2.01-3) unstable; urgency=low

  * Fixed wrapper script bug: incorrect handling of command line
    parameters (closes: #174965, #174851)
  * Fixed wrapper script bug: should set $LC_ALL as well as $LANG
    (closes: #174717)

 -- Hamish Moffatt <hamish@debian.org>  Sat,  4 Jan 2003 15:59:01 +1100

xpdf (2.01-2) unstable; urgency=low

  * Applied patch to fix buffer overflow as reported by iDEFENSE
  * Fixed name of language configuration files (/etc/xpdf/xpdf-* renamed
    back to xpdfrc-*) (closes: #173046)
  * Modified update-xpdfrc to ignore .dpkg* files in /etc/xpdf
    (closes: #173268)
  * Made xpdf a wrapper script which calls real xpdf binary to work
    around locale problems (closes: #167956, #168717, #169339, #172009)

 -- Hamish Moffatt <hamish@debian.org>  Sat, 28 Dec 2002 00:35:52 +1100

xpdf (2.01-1) unstable; urgency=low

  * New upstream release
  * Merged in the small and free xpdf language packages xpdf-cyrillic,
    xpdf-greek, xpdf-hebrew, xpdf-latin2, xpdf-thai and xpdf-turkish;
    the others remain as seperate packages in non-free.

 -- Hamish Moffatt <hamish@debian.org>  Sun,  8 Dec 2002 00:02:37 +1100

xpdf (2.00-2) unstable; urgency=low

  * Recompile with lesstif2 (closes: #170624)
  * Change the default urlCommand to sensible-browser, which will make it
    honour the BROWSER variable, and run a good default browser that is
    installed if that is not set. Sure beats hardcoding non-free netscape.
    (closes: #170085)
  * Suggest www-browser.
  * Fixed incorrect resource names in xpdf(1) (closes: #168730)
  * Set a default print command (closes: #168520)

 -- Hamish Moffatt <hamish@debian.org>  Sat, 30 Nov 2002 13:08:38 +1100

xpdf (2.00-1) unstable; urgency=low

  * New upstream release - uses Lesstif instead of old Xpdf-specific toolkit
  * Upstream: Control-P now brings up the print dialog (closes: #157225)
  * Upstream: Worked around problems with fonts in some PDF files
    (closes: #159778)
  * Upstream: 'Save as' now uses the standard Motif save dialog, so any
    filename can be entered (closes: #158423)
  * Upstream: handles malformed PDFs with error messages rather than
    silently as happened previously in some cases (closes: #151241)
  * Upstream: fullscreen behaviour is working fine in this version
    (closes: #156252)
  * Upstream: Enter works in save dialog (closes: #166942)
  * Upstream: now uses standard Motif file selector dialog (closes: #160255)
  * No performance issues observed with resizing the window (closes: #165847)
  * Tweaked configuration mechanism not to build /etc/xpdfrc now,
    but an include file for the main configuration file instead.
    No changes to the language packages are required to support this.

 -- Hamish Moffatt <hamish@debian.org>  Tue,  5 Nov 2002 11:49:24 +1100

xpdf (1.01-3) unstable; urgency=low

  * Recompile with more recent FreeType, updated dependencies to match
    (closes: #155946)
  * Made xpdf handle missing default paper name from libpaper
    (eg if $PAPERSIZE is set to a non-existent file) (closes: #150360)

 -- Hamish Moffatt <hamish@debian.org>  Wed,  4 Sep 2002 21:49:41 +1000

xpdf (1.01-2) unstable; urgency=low

  * Fixed dependencies to ensure that xpdf-common, xpdf-reader and
    xpdf-utils versions are always synchronised (closes: #147897,
    #151683)

 -- Hamish Moffatt <hamish@debian.org>  Sun,  7 Jul 2002 01:24:00 +1000

xpdf (1.01-1) unstable; urgency=low

  * New upstream release (closes: #146286, #147428)
    including support for Type 3 fonts (closes: #128686, #137378,
    #137416, #143245, #145541, #147614)
  * Removed empty examples directory (closes: #145057, #146336)
  * Changed dependency on gsfonts to require the woody version
    or newer (>= 6.0-1) (closes: #146398)
  * Applied patch to allow copying and printing of protected
    PDF files (closes: #145558)

 -- Hamish Moffatt <hamish@debian.org>  Wed, 22 May 2002 23:16:47 +1000

xpdf (1.00-4) unstable; urgency=low

  * xpdf-reader: added zxpdf script contributed by Yann Dirson to allow
    viewing of compressed PDF files (closes: #87316, #14227)
  * xpdf-reader, xpdf-utils: corrected location of the configuration
    files in the manual pages (closes: #139982)
  * xpdf-common: added note to /etc/xpdf/xpdfrc describing configuration
    file scheme (closes: #143372)

 -- Hamish Moffatt <hamish@debian.org>  Thu, 25 Apr 2002 10:57:47 +1000

xpdf (1.00-3) unstable; urgency=low

  * Fixed conflicts with xpdf-i (should conflict with versions
    <= 0.90-8, not 0.90-7) (closes: #136385, #136157)
  * Applied patch from the upstream author to fix the missing
    initialZoom X resource (closes: #135712)

 -- Hamish Moffatt <hamish@debian.org>  Sat,  9 Mar 2002 00:23:33 +1100

xpdf (1.00-2) unstable; urgency=low

  * Fixed problem with building the arch-specific packages when
    xpdf-common was not installed (tried to overwrite /etc/xpdfrc)
    (closes: #134336, #134338)

 -- Hamish Moffatt <hamish@debian.org>  Mon, 18 Feb 2002 08:36:59 +1100

xpdf (1.00-1) unstable; urgency=low

  * New upstream release (closes: #131961)
  * Split the xpdf package into xpdf-reader, xpdf-utils and a
    metapackage, xpdf. This reduces the number of library packages
    required if you just want pdf2ps, for example. (closes: #122786)
  * The new upstream release has the language support split into
    seperate packages. See xpdf-chinese-simplified,
    xpdf-chinese-traditional, xpdf-korean, xpdf-japanese,
    xpdf-thai and xpdf-cyrillic. NOTE: some of these are
    non-free.

 -- Hamish Moffatt <hamish@debian.org>  Sat,  2 Feb 2002 23:44:20 +1100

xpdf (0.93-6) unstable; urgency=low

  * Applied patch from the upstream author Derek Noonburg
    to fix an unitialized variable which causes xpdf
    to sometimes crash on Alpha systems (closes: #124314)

 -- Hamish Moffatt <hamish@debian.org>  Wed, 16 Jan 2002 21:30:53 +1100

xpdf (0.93-5) unstable; urgency=low

  * Applied patch from the upstream author Derek Noonburg
    to fix TrueType font embedding bugs (closes: #123913)
  * Added Build-Conflicts: with libttf-dev; the compile gets
    mixed up between freetype1 and freetype2 when libttf-dev
    is installed (closes: #123565)

 -- Hamish Moffatt <hamish@debian.org>  Wed,  9 Jan 2002 22:46:49 +1100

xpdf (0.93-4) unstable; urgency=low

  * Added menu hint "Documents" (closes: #121029)

 -- Hamish Moffatt <hamish@debian.org>  Sun, 25 Nov 2001 13:02:24 +1100

xpdf (0.93-3) unstable; urgency=low

  * Added app-defaults file mapping for Type 1 base-14 fonts (requires
    gsfonts) (closes: #120649, #120994)
  * Added libpaper support; xpdf now gets the default paper size from
    X resources, $PAPERSIZE, /etc/papersize, or defaults to letter
    (closes: #120645)

 -- Hamish Moffatt <hamish@debian.org>  Sun, 25 Nov 2001 11:38:19 +1100

xpdf (0.93-2) unstable; urgency=low

  * Removed final references to install-mime (closes: #120423)
  * Linked with libfreetype6 (closes: #116283)
  * Configuration file moved to /etc/xpdfrc (was /usr/etc/xpdfrc by mistake)
  * Also linked with t1lib

 -- Hamish Moffatt <hamish@debian.org>  Sat, 24 Nov 2001 16:20:23 +1100

xpdf (0.93-1) unstable; urgency=low

  * New upstream release (closes: #81911, #107448)

 -- Hamish Moffatt <hamish@debian.org>  Wed,  7 Nov 2001 23:54:52 +1100

xpdf (0.92-5) unstable; urgency=low

  * Fixed freetype file locations which caused the build to fail if
    libfreetype6-dev wasn't installed (but isn't actually used)
    (closes: #111745)

 -- Hamish Moffatt <hamish@debian.org>  Tue, 11 Sep 2001 20:21:47 +1000

xpdf (0.92-4) unstable; urgency=low

  * Added libttf-dev to build-deps so that xpdf will be built with
    TrueType font support (closes: #108667)
  * Increased xpdf's priority in mailcap from 4 to 6 to be above
    gv and acroread (closes: #106858)

 -- Hamish Moffatt <hamish@debian.org>  Sun,  2 Sep 2001 14:54:11 +1000

xpdf (0.92-3) unstable; urgency=low

  * Changed build-dep on xpm4g-dev to xlibs-dev (closes: #83814)
  * Re-enabled Chinese language support (closes: #74974)

 -- Hamish Moffatt <hamish@debian.org>  Mon, 29 Jan 2001 08:23:06 +1100

xpdf (0.92-2) unstable; urgency=low

  * Recompiled with latest X libraries

 -- Hamish Moffatt <hamish@debian.org>  Thu, 18 Jan 2001 08:21:23 +1100

xpdf (0.92-1) unstable; urgency=low

  * New upstream release
  * Updated Standards-Version

 -- Hamish Moffatt <hamish@debian.org>  Wed,  6 Dec 2000 21:16:34 +1100

xpdf (0.91-3) unstable; urgency=low

  * Enabled Chinese language support (closes: #74974)

 -- Hamish Moffatt <hamish@debian.org>  Tue,  7 Nov 2000 15:52:41 +1100

xpdf (0.91-2) unstable; urgency=low

  * Changed replaces/conflicts with xpdf-i to allow installation
    of xpdf-i 0.91-1 (dummy package) as well as xpdf >= 0.91

 -- Hamish Moffatt <hamish@debian.org>  Tue, 19 Sep 2000 22:55:44 +1100

xpdf (0.91-1) unstable; urgency=low

  * New upstream version (closes: #43604, #47391, #61055, #67591, #50170)
  * Upstream source now includes decryption; xpdf-i is now obselete

 -- Hamish Moffatt <hamish@debian.org>  Sun, 20 Aug 2000 18:25:07 +1000

xpdf (0.90-6) unstable; urgency=low

  * Added build-depends for debhelper, xpm4g-dev and xlib6g-dev
    (closes: #68464, #61585)

 -- Hamish Moffatt <hamish@debian.org>  Mon,  7 Aug 2000 19:29:08 +1000

xpdf (0.90-5) unstable; urgency=low

  * Added build-depends for t1lib-dev (closes: #55658)

 -- Hamish Moffatt <hamish@debian.org>  Tue,  1 Aug 2000 21:03:43 +1000

xpdf (0.90-4) unstable; urgency=low

  * Recompile for t1lib1

 -- Hamish Moffatt <hamish@debian.org>  Mon,  3 Jan 2000 09:45:45 +1100

xpdf (0.90-3) unstable; urgency=low

  * FHS compliant
  * Converted to debhelper
  * Moved xpdf binary from /usr/X11R6/bin to /usr/bin

 -- Hamish Moffatt <hamish@debian.org>  Fri,  1 Oct 1999 23:51:31 +1000

xpdf (0.90-2) unstable; urgency=low

  * Recompiled with t1lib 0.9.1-4 to get correct dependencies

 -- Hamish Moffatt <hamish@debian.org>  Sat, 11 Sep 1999 00:59:17 +1000

xpdf (0.90-1) unstable; urgency=low

  * New upstream version

 -- Hamish Moffatt <hamish@debian.org>  Sat, 14 Aug 1999 14:31:00 +1000

xpdf (0.80-6) unstable; urgency=low

  * Added code in postinst and postrm to remove old MIME entries
    added using install-mime (fixes #37724, #31293)

 -- Hamish Moffatt <hamish@debian.org>  Sun, 23 May 1999 00:25:00 +1000

xpdf (0.80-5) unstable; urgency=low

  * Fixed error in /usr/lib/mime/packages/xpdf (fixes #37537)

 -- Hamish Moffatt <hamish@debian.org>  Sat, 15 May 1999 22:35:00 +1000

xpdf (0.80-4) unstable; urgency=low

  * Fixed bug in postinst introduced in 0.80-3 (fixes #37009, #37026)
  * xpdf now Conflicts with and Replaces xpdf-i

 -- Hamish Moffatt <hamish@debian.org>  Sun, 02 May 1999 18:20:00 +1000

xpdf (0.80-3) unstable; urgency=low

  * Fixed incorrect mime support handling with patch from David Rocher
    (fixes bug#36901)

 -- Hamish Moffatt <hamish@debian.org>  Sat, 01 May 1999 18:45:00 +1000

xpdf (0.80-2) unstable; urgency=low

  * Enabled support for 16-bit Japanese fonts (fixes bug#30671)

 -- Hamish Moffatt <hamish@debian.org>  Fri, 18 Dec 1998 00:18:00 +1100

xpdf (0.80-1) unstable; urgency=low

  * New upstream release

 -- Hamish Moffatt <hamish@debian.org>  Sun, 29 Nov 1998 01:03:00 +1100

xpdf (0.7a-3) unstable; urgency=low

  * Previous upload had wrong section and was rejected
  * Change of license; xpdf is now GPL (see
    http://www.debian.org/Lists-Archives/debian-devel-9809/msg00193.html)

 -- Hamish Moffatt <hamish@debian.org>  Sat, 10 Oct 1998 11:12:00 +1000

xpdf (0.7a-2) unstable; urgency=low

  * New maintainer
  * Updated to use update-mime (fixes#26532)
  * Removed dependency on mime-support, as instructed by update-mime(1)
  * Rebuilt with new libstdc++

 -- Hamish Moffatt <hamish@debian.org>  Tue, 06 Oct 1998 19:43:00 +1000

xpdf (0.7a-1) non-free; urgency=low

  * Upgraded to new upstream release xpdf-0.7a

 -- Dirk Eddelbuettel <edd@debian.org>  Mon,  2 Mar 1998 19:24:35 -0500

xpdf (0.7-3) non-free; urgency=low

  * Moved to non-free as the copyright violated #3 of the DFSG (fixes #14360)

 -- Dirk Eddelbuettel <edd@debian.org>  Tue,  4 Nov 1997 20:44:26 -0500

xpdf (0.7-2) unstable; urgency=low

  * Compiled with GNU libc2 aka libc6
  * Linked against xlib6g and xpm4g (fixes bug #12915)
  * Uses pristine upstream sources as xpdf_0.7.orig.tar.gz
  * Upgraded to Debian Policy 2.3.0.0
  * Added menu file for xpdf

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 30 Sep 1997 20:34:09 -0400

xpdf (0.7-1) unstable; urgency=low

  * New upstream release xpdf-0.7

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 29 May 1997 21:22:38 -0400

xpdf (0.6-1) unstable frozen; urgency=low

  * New upstream release xpdf-0.6 (fixes bug #4476)

  * Changed Priority: to optional as per override file on master

  * Converted package management files to Debian Standard 2.1.1.0
  * Changed maintainer email address to <edd@debian.org>

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 24 Nov 1996 16:50:23 -0500

Sat Aug 10 16:22:28 1996  Dirk Eddelbuettel  <edd@miles.econ.queensu.ca>
	* xpdf-0.5-1 release: only changes to Debian package files
	* debian.control: now Depends on mime-support, suitable postinst
 	  and postrm scripts added (with thanks to Brian White);
	  also updated virtual package dependencies, now Provides: a
	  pdf-viewer as well as postscript-preview and Depends changed
	  to X11R6 from elf-x11r6lib
	* debian.rules: install xpdf.1x, not xpdf.1
Mon May 27 20:58:19 1996  Dirk Eddelbuettel  <edd@miles.econ.queensu.ca>
	* xpdf-0.5-0 release: upgraded to upstream version 0.5
Sun Apr 28 09:51:02 1996  Dirk Eddelbuettel  <edd@miles.econ.queensu.ca>
	* xpdf-0.4-0 release: upgraded to upstream version 0.4
	* debian.control: added Architecture:, changed Section: to text,
	  added note that xpdftops is now included
Wed Feb 14 21:49:17 1996  Dirk Eddelbuettel  <edd@miles.econ.queensu.ca>
	* xpdf-0.3-1 release
	* debian.rules: fix location of README to /usr/doc/xpdf (bug#2333)
Sun Jan 28 17:36:31 1996  Dirk Eddelbuettel  <edd@miles.econ.queensu.ca>
	* xpdf-0.3-0: Initial Debian release
